Ubuntu 18.04 LTS / 20.04 LTS / 21.04:Dnsmasq 漏洞 (USN-4976-1)

medium Nessus 插件 ID 150143
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Ubuntu 主机缺少安全更新。

描述

远程 Ubuntu 18.04 LTS / 20.04 LTS / 21.04 主机上安装的程序包受到 USN-4976-1 公告中提及的漏洞的影响。

- 在 dnsmasq 2.85 之前的版本中发现一个缺陷。在配置为针对给定网络接口使用特定服务器时,dnsmasq 在转发查询时使用固定端口。网络上的攻击者能够找到 dnsmasq 所使用的传出端口,只需要猜测随机传输 ID 即可伪造回复并让 dnsmasq 接受回复。利用此缺陷,攻击 DNS 缓存中毒变得更加容易。此漏洞最主要的威胁对象是数据完整性。(CVE-2021-3448)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

更新受影响的程序包。

另见

https://ubuntu.com/security/notices/USN-4976-1

插件详情

严重性: Medium

ID: 150143

文件名: ubuntu_USN-4976-1.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/6/2

最近更新时间: 2021/6/2

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2021-3448

VPR

风险因素: Low

分数: 2.4

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: AV:N/AC:M/Au:N/C:N/I:P/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 4

时间分数: 3.5

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:N/I:L/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:canonical:ubuntu_linux:18.04:-:lts, cpe:/o:canonical:ubuntu_linux:20.04:-:lts, cpe:/o:canonical:ubuntu_linux:21.04, p-cpe:/a:canonical:ubuntu_linux:dnsmasq, p-cpe:/a:canonical:ubuntu_linux:dnsmasq-base, p-cpe:/a:canonical:ubuntu_linux:dnsmasq-base-lua, p-cpe:/a:canonical:ubuntu_linux:dnsmasq-utils

必需的 KB 项: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2021/6/2

漏洞发布日期: 2021/4/8

参考资料信息

CVE: CVE-2021-3448

USN: 4976-1